AuthenticatedSymmetricCipherDocumentation Struct Reference

Provides Encryption and Decryption typedefs used by derived classes to implement an authenticated encryption cipher. More...

`#include <seckey.h>`

Inheritance diagram for AuthenticatedSymmetricCipherDocumentation:

## Public Types

typedef AuthenticatedSymmetricCipher | Encryption
| implements the AuthenticatedSymmetricCipher interface
typedef AuthenticatedSymmetricCipher | Decryption
| implements the AuthenticatedSymmetricCipher interface

## Detailed Description

Provides Encryption and Decryption typedefs used by derived classes to implement an authenticated encryption cipher.

Each class derived from this one defines two types, Encryption and Decryption, both of which implement the AuthenticatedSymmetricCipher interface.

Definition at line 425 of file seckey.h.

## Member Typedef Documentation

## Encryption

typedef AuthenticatedSymmetricCipher AuthenticatedSymmetricCipherDocumentation::Encryption

implements the AuthenticatedSymmetricCipher interface

Definition at line 428 of file seckey.h.

## Decryption

typedef AuthenticatedSymmetricCipher AuthenticatedSymmetricCipherDocumentation::Decryption

implements the AuthenticatedSymmetricCipher interface

Definition at line 430 of file seckey.h.

The documentation for this struct was generated from the following file:

- seckey.h